| Version: 3.0.4

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxGridColumnHeaderRendererDefault Class Reference

`#include <wx/grid.h>`

Inheritance diagram for wxGridColumnHeaderRendererDefault:
[legend]

## Detailed Description

Default column header renderer.

See also
  wxGridRowHeaderRendererDefault

Since
  2.9.1

## Public Member Functions

virtual void | DrawBorder (const wxGrid &grid, wxDC &dc, wxRect &rect) const
| Implement border drawing for the column labels. More...
Public Member Functions inherited from wxGridHeaderLabelsRenderer
virtual void | DrawLabel (const wxGrid &grid, wxDC &dc, const wxString &value, const wxRect &rect, int horizAlign, int vertAlign, int textOrientation) const
| Called by the grid to draw the specified label. More...

## Member Function Documentation

virtual void wxGridColumnHeaderRendererDefault::DrawBorder | ( | const wxGrid & | grid,
|  | wxDC & | dc,
|  | wxRect & | rect
| ) |  | const

virtual

Implement border drawing for the column labels.

Implements wxGridCornerHeaderRenderer.